"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportTypeProcessor = void 0;
const processor_1 = require("./processor");
/**
 * Processor for `typeof import('module')` or (in d.ts) `import ('module').Type`
 */
class ImportTypeProcessor extends processor_1.Processor {
    parse(node) {
        if (this.ts.isImportTypeNode(node)) {
            const argument = node.argument;
            if (this.ts.isStringLiteral(argument.literal)) {
                const { text: moduleName } = argument.literal;
                return {
                    node,
                    moduleName,
                };
            }
        }
        return null;
    }
    updateModuleName(moduleName, { node }) {
        return this.factory.updateImportTypeNode(node, this.factory.updateLiteralTypeNode(node.argument, this.factory.createStringLiteral(moduleName)), node.assertions, node.qualifier, node.typeArguments, node.isTypeOf);
    }
}
exports.ImportTypeProcessor = ImportTypeProcessor;
//# sourceMappingURL=import-type-processor.js.map