"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProcessors = void 0;
const async_import_processor_1 = require("./async-import-processor");
const export_processor_1 = require("./export-processor");
const import_processor_1 = require("./import-processor");
const import_require_processor_1 = require("./import-require-processor");
const import_type_processor_1 = require("./import-type-processor");
const require_processor_1 = require("./require-processor");
function createProcessors(...args) {
    return [
        new async_import_processor_1.AsyncImportProcessor(...args),
        new export_processor_1.ExportProcessor(...args),
        new import_processor_1.ImportProcessor(...args),
        new import_require_processor_1.ImportRequireProcessor(...args),
        new import_type_processor_1.ImportTypeProcessor(...args),
        new require_processor_1.RequireProcessor(...args),
    ];
}
exports.createProcessors = createProcessors;
//# sourceMappingURL=index.js.map