"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequireProcessor = void 0;
const processor_1 = require("./processor");
/**
 * Processor for `require('module')`
 */
class RequireProcessor extends processor_1.Processor {
    parse(node) {
        if (this.ts.isCallExpression(node) &&
            this.ts.isIdentifier(node.expression) &&
            node.expression.text === 'require' &&
            this.ts.isStringLiteral(node.arguments[0]) &&
            node.arguments.length === 1) {
            return {
                node,
                moduleName: node.arguments[0].text,
            };
        }
        return null;
    }
    updateModuleName(moduleName, { node }) {
        return this.factory.updateCallExpression(node, node.expression, node.typeArguments, [this.factory.createStringLiteral(moduleName)]);
    }
}
exports.RequireProcessor = RequireProcessor;
//# sourceMappingURL=require-processor.js.map